import request from '@/utils/request'

// 查询请假记录信息列表
export function listLeave(query) {
  return request({
    url: '/ask/leave/list',
    method: 'get',
    params: query
  })
}

// 查询请假记录信息详细
export function getLeave(id) {
  return request({
    url: '/ask/leave/' + id,
    method: 'get'
  })
}

// 新增请假记录信息
export function addLeave(data) {
  return request({
    url: '/ask/leave',
    method: 'post',
    data: data
  })
}

// 修改请假记录信息
export function updateLeave(data) {
  return request({
    url: '/ask/leave/put',
    method: 'post',
    data: data
  })
}

// 删除请假记录信息
export function delLeave(id) {
  return request({
    url: '/ask/leave/delete/' + id,
    method: 'get'
  })
}

export function sh(data) {
 return request({
   url: '/ask/leave/sh',
   method: 'post',
   data: data
 })
}


